%define version 2.6.4
%define release 11
%define prefix /usr

Summary: FAM, the File Alteration Monitor.
Name: fam
Version: %{version}
Release: %{release}
Copyright: GPL/LGPL
Group: System Environment/Daemons
URL: http://oss.sgi.com/projects/fam/
Source: fam-oss-%{version}.tar.gz
Source2: sgi_fam.xinetd
Patch1: fam-2.6.4-dnotify.patch
Patch2: fam_build.patch
Patch3: fam-2.6.4-creds.patch
BuildRoot: /var/tmp/fam-%{PACKAGE_VERSION}-root
Requires: portmap
Requires: xinetd >= 2.1.8.9pre15

%description
FAM, the File Alteration Monitor, provides a daemon and an API which
applications can use for notification of changes in specific files or
directories.

%package devel
Summary: FAM, the File Alteration Monitor development files.
Group: Development/Libraries
Requires: fam = %{PACKAGE_VERSION}

%description devel
Static libraries and header files for fam, the File Alteration
Monitor.

%prep
%setup -n fam-oss-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
#The patch changes configure.in, so we have to regenerate some files
libtoolize --force
aclocal
autoconf
autoheader
automake --add-missing

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --sysconfdir=/etc --mandir=/usr/share/man
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
cp $RPM_SOURCE_DIR/sgi_fam.xinetd $RPM_BUILD_ROOT/etc/xinetd.d/sgi_fam

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
killall -q -USR1 xinetd
exit 0

%postun
/sbin/ldconfig
killall -q -USR1 xinetd
exit 0

%files
%defattr(-,root,root)

%doc ChangeLog COPYING INSTALL INSTALL.rpm README TODO
%config(noreplace) /etc/xinetd.d/sgi_fam
%config(noreplace) /etc/fam.conf
%{prefix}/bin/fam
%{prefix}/lib/libfam.so.*
/usr/share/man/man1/fam.1m.gz

%files devel
%defattr(-, root, root)
%{prefix}/lib/libfam.so
%{prefix}/lib/libfam.la
%{prefix}/lib/libfam.a
%{prefix}/include/fam.h
/usr/share/man/man3/fam.3x.gz

%changelog
* Wed Aug 22 2001 Alex Larsson <alexl@redhat.com> 2.6.4-11
- Fix the comment in the xinetd file
- This fixes bug #52328

* Tue Aug 14 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-10
- Only set version=2 in xinetd config file, because some xinetds
- seems to have a problem registering several versions of an rpc
- with the portmapper. Fixes the disappearing icons problem in
- Nautilus.

* Tue Aug  7 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-9
- Fixed dnotify detection 

* Tue Aug  7 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-8
- Add patch that fixes problem when several different users
- connect to fam.

* Wed Jul 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Make killall silent.

* Wed Jul 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- make sure scripts exit without failure

* Mon Jul 2 2001 Alexander Larsson <alexl@redhat.com>
- Release 5. Some specfile cleanups

* Mon Jul 2 2001 Alexander Larsson <alexl@redhat.com>
- Release 4. Bind the server to 127.0.0.1 to avoid external
- connections. New dnotify patch that handles (i hope)
- queue overruns. Make the service UNLISTED so that modification
- of /etc/rpc isn't needed.

* Wed Jun 27 2001 Alexander Larsson <alexl@redhat.com>
- release 3, require xinetd pre15 because of brokenness in pre14
- Install the service in /etc/rpc

* Tue Jun 26 2001 Alexander Larsson <alexl@redhat.com>
- Initial version, based on the one in the fam distribution.
- release is 2 to avoid collisions with the distribution version
